Junos
Reply
Visitor
SurfBits
Posts: 4
Registered: ‎11-17-2008
0

Trying to upgrade from 8.4 to 8.5 then to 9 but getting stuck at 8.5

I'm trying to upgrade with the "validate" flag set and it returns a validation failure, "configuration not compatible with 8.5R3.4.  Here's the full output:

 

Verified manifest signed by PackageProduction_8_4_0

Using /var/tmp/junos-8.5R3.4.tgz

Checking junos requirements on /

Available space: 111039 require: 64293

mv: rename /cf/sbin/preinit to /cf/sbin/preinit.bak: No such file or directory

Verified manifest signed by PackageProduction_8_5_0

mtree: line 101: unknown user bind

mtree: line 101: unknown user bind

Hardware Database regeneration succeeded

Validating against /config/juniper.conf.gz

Network security daemon: [edit groups junos-defaults applications]

Network security daemon:   'application junos-icmp-all'

Network security daemon:     Unsupported application protocol id.

Network security daemon: [edit groups junos-defaults applications]

Network security daemon:   'application'

Network security daemon:     Error processing application object

mgd: error: configuration check-out failed

Validation failed

Validating against /config/rescue.conf.gz

mgd: warning: uid changed for cyamasaki (2001->2000)

Network security daemon: [edit groups junos-defaults applications]

Network security daemon:   'application junos-icmp-all'

Network security daemon:     Unsupported application protocol id.

Network security daemon: [edit groups junos-defaults applications]

Network security daemon:   'application'

Network security daemon:     Error processing application object

mgd: error: configuration check-out failed

Validation failed

WARNING: Current configuration not compatible with /var/tmp/junos-8.5R3.4.tgz

 

 

Do you think it's safe to upgrade w/o validation? 

Distinguished Expert
rkim
Posts: 755
Registered: ‎11-06-2007
0

Re: Trying to upgrade from 8.4 to 8.5 then to 9 but getting stuck at 8.5

Per chance are you upgrading to JUNOS with enhanced services version of 8.5? Basically enhanced services version image will be called junos-jsr as opposed to junos-jseries. If so then it is expected that you will need to use no-validate option. If you are intending to upgrade to JUNOS with enhanced services, be sure to follow the Migration Guide and follow the JUNOS to JUNOS Enhanced Services steps.

 

-Richard

Visitor
surajit
Posts: 8
Registered: ‎12-10-2008
0

Re: Trying to upgrade from 8.4 to 8.5 then to 9 but getting stuck at 8.5

Hi ,

first u have to capture the configuration and delete redundancy as well as all security service also delete rescue commad( set system configuration rescue delete) .
Then u run the validate command . i think it will work as usual

 

thanks

surajit patra

Copyright© 1999-2013 Juniper Networks, Inc. All rights reserved.